extends TextureRect

class_name Card

@export var card_resource: CardResource

func _ready() -> void:
	$UnitPreview.texture = card_resource.preview
	texture = card_resource.background
	$CostBubble/Cost.text = str(card_resource.cost)
	$ExperimentalBadge.visible = card_resource.experimental
